#!/bin/sh
echo 'name: test-framework
version: 0.6
id: test-framework-0.6-c773f8312efab705b53c547fa9c88716

license: BSD3
copyright:
maintainer: Max Bolingbroke <batterseapower@hotmail.com>
stability:
homepage: http://batterseapower.github.com/test-framework/
package-url:
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description: Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
             parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
             command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
exposed-modules: Test.Framework Test.Framework.Options
                 Test.Framework.Providers.API Test.Framework.Runners.Console
                 Test.Framework.Runners.Options Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics
                Test.Framework.Runners.TestPattern
                Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/test-framework-0.6
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/test-framework-0.6
              /usr/local/lib
hs-libraries: HStest-framework-0.6
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ansi-terminal-0.5.5-3c75c32b87d782c552a2534eedcfb485
         ansi-wl-pprint-0.6.4-e146327e1959fb7e878594935aa3afb7
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         containers-0.4.2.1-7c54595400348f577b3b4a45691c5afd
         extensible-exceptions-0.1.1.4-d27a1ac47e54880cae007cceceb41580
         hostname-1.0-94db7b4191850a97b40e26f2fdb4b67c
         old-locale-1.0.0.4-29bd50ed2bb4a20928338f52e4ab1b71
         random-1.0.1.1-3bece392c9f5221263ed25c90c28e1ec
         regex-posix-0.95.1-e163b83fd60599d787395552913f34a5
         time-1.4-3e186a51d3674e5d65b5a7925db3d3a7
         xml-1.3.12-ef89d3099ce9e509aca00bdf76267bd0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/test-framework-0.6/html/test-framework.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/test-framework-0.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
